Subject: Re: [Bitcoin-development] 0.6.x - detachdb in wrong place

From: "Luke-Jr" <[email-masked]>
Date: Mon, 18 Jun 2012 13:25:21 +0000

On Monday, June 18, 2012 8:09:56 AM grarpamp wrote:
> > I guess I've been neglecting to update the stable repo with
> > releases tagged in master. It should be fixed now.
> 
> Yes, that has helped! Now git'ers can easily compare the release
> tags to stable 'x' branches on gitorious. I don't know how to do
> that across repos yet, save manuel diff of checkouts from each,
> which would have been required prior to this update you made.

This is the work model I use:
  git clone git://github.com/bitcoin/bitcoin.git
  cd bitcoin
  git remote add stable git://gitorious.org/+bitcoin-stable-developers/bitcoin/bitcoind-stable.git
  git remote add personal [email-masked]:YOURNAME/bitcoin.git

With this, you can use "git fetch --all" to update your copy of the remote
branches, and access them as "origin/master", "stable/0.6.x", etc; and push
personal branches using "git push personal <branch>"

Luke